snyk-sbt-plugin
TypeScript icon, indicating that this package has built-in type declarations

2.19.0 • Public • Published

Snyk logo


Snyk helps you find, fix and monitor for known vulnerabilities in your dependencies, both on an ad hoc basis and as part of your CI (Build) system.

ℹ️ This repository is only a plugin to be used with the Snyk CLI tool. To use this plugin to test and fix vulnerabilities in your project, install the Snyk CLI tool first. Head over to snyk.io to get started.

Snyk sbt CLI Plugin

This plugin provides dependency metadata for sbt projects that use sbt and have a build.sbt file.

Support

❓ No issues expected but tests not updated yet to verify

🚫 Not supported yet

✅ Supported and verified with tests

Supported OS

OS Node 12 Node 14 Node 16
Windows
Linux
OSX

Supported Java & sbt versions

PLEASE NOTE:

To use the Snyk CLI with versions of sbt 1.2 and older, you will also need to have installed either the sbt-dependency-graph plugin, or coursier.

The below table illustrates all supported sbt versions.

Java sbt 0.13.*
+ plugin
1.0*
+plugin
1.1*
+ plugin
1.2* 1.3* 1.4* 1.5* 1.6* 1.7*
8
11
12
13
14
15

Readme

Keywords

none

Package Sidebar

Install

npm i snyk-sbt-plugin

Weekly Downloads

25,502

Version

2.19.0

License

Apache-2.0

Unpacked Size

68.4 kB

Total Files

29

Last publish

Collaborators

  • snyk-admin